diff -ruN vdr-1.4.4-1/CONTRIBUTORS vdr-1.4.4-2/CONTRIBUTORS
--- vdr-1.4.4-1/CONTRIBUTORS	2006-12-02 11:35:27.000000000 +0100
+++ vdr-1.4.4-2/CONTRIBUTORS	2006-12-03 17:52:19.000000000 +0100
@@ -1906,6 +1906,7 @@
 Suur Karu <suurkaru@fastmail.fm>
  for reporting a problem with the tuning timeout for channels that have low symbol
  rates
+ for reporting that dropping the 'uint64' typedef caused many plugins to be modified
 
 Ronny Kornexl <ronny.kornexl@online.de>
  for reporting a problem with setting "No title" for broken event data
@@ -2042,3 +2043,6 @@
 
 Jrg Wendel <vdr-ml@jwendel.de>
  for reporting that cPlugin::Active() was called too often
+
+Peter Pinnau <vdr@unterbrecher.de>
+ for reporting that 'uint32_t' requires uncluding stdint.h in font.h on some systems
diff -ruN vdr-1.4.4-1/HISTORY vdr-1.4.4-2/HISTORY
--- vdr-1.4.4-1/HISTORY	2006-12-03 10:57:09.000000000 +0100
+++ vdr-1.4.4-2/HISTORY	2006-12-03 17:51:36.000000000 +0100
@@ -5008,3 +5008,10 @@
   some hints on how to improve this).
 - Replaced 'unsigned long long' with 'uint32_t' and 'uint64' with 'uint64_t' to
   avoid problems on 64-bit machines.
+
+2006-12-03: Version 1.4.4-2
+
+- Added '#include <stdint.h>' to font.h (reported by Peter Pinnau).
+- Added a compatibility define for 'uint64' to tools.h, so that existing
+  plugins don't need to be modified immediately (reported by Suur Karu).
+  This will be removed in version 1.5.
diff -ruN vdr-1.4.4-1/config.h vdr-1.4.4-2/config.h
--- vdr-1.4.4-1/config.h	2006-12-01 16:08:43.000000000 +0100
+++ vdr-1.4.4-2/config.h	2006-12-03 17:44:29.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.279 2006/12/01 15:08:43 kls Exp $
+ * $Id: config.h 1.280 2006/12/03 16:44:29 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -21,7 +21,7 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.4.4-1"
+#define VDRVERSION  "1.4.4-2"
 #define VDRVERSNUM   10404  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
diff -ruN vdr-1.4.4-1/font.h vdr-1.4.4-2/font.h
--- vdr-1.4.4-1/font.h	2006-12-02 12:11:48.000000000 +0100
+++ vdr-1.4.4-2/font.h	2006-12-03 17:42:10.000000000 +0100
@@ -4,12 +4,13 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: font.h 1.13 2006/12/02 11:11:48 kls Exp $
+ * $Id: font.h 1.14 2006/12/03 16:42:10 kls Exp $
  */
 
 #ifndef __FONT_H
 #define __FONT_H
 
+#include <stdint.h>
 #include <stdlib.h>
 
 enum eDvbFont {
diff -ruN vdr-1.4.4-1/tools.h vdr-1.4.4-2/tools.h
--- vdr-1.4.4-1/tools.h	2006-12-02 12:14:14.000000000 +0100
+++ vdr-1.4.4-2/tools.h	2006-12-03 17:41:59.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.h 1.94 2006/12/02 11:14:14 kls Exp $
+ * $Id: tools.h 1.95 2006/12/03 16:41:59 kls Exp $
  */
 
 #ifndef __TOOLS_H
@@ -23,6 +23,7 @@
 #include <sys/types.h>
 
 typedef unsigned char uchar;
+#define uint64 uint64_t // for compatibility - TODO remove in version 1.5
 
 extern int SysLogLevel;
 
